package xyz.wbsite.module.admin.ent;

import xyz.wbsite.frame.excel.annotation.ExcelNote;
import xyz.wbsite.frame.excel.annotation.ExcelSelect;
import com.alibaba.excel.annotation.ExcelProperty;
import xyz.wbsite.frame.excel.annotation.ExcelSheet;
import xyz.wbsite.frame.base.BaseEntity;

/**
 * RULES - 配置规则
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2021-02-08
 */
@ExcelSheet("配置规则")
public class Rules extends BaseEntity {

    /**
     * RULE_FOR - 规则目标
     */
    @ExcelProperty("规则目标")
    @ExcelNote("")
    private String ruleFor;
    /**
     * RULE_TITLE - 规则标题
     */
    @ExcelProperty("规则标题")
    @ExcelNote("")
    private String ruleTitle;
    /**
     * RULE_NAME - 规则名称
     */
    @ExcelProperty("规则名称")
    @ExcelNote("")
    private String ruleName;
    /**
     * RULE_VALUE - 规则属值
     */
    @ExcelProperty("规则属值")
    @ExcelNote("")
    private String ruleValue;
    /**
     * VALUE_DEFAULT - 默认属值
     */
    @ExcelProperty("默认属值")
    @ExcelNote("")
    private String valueDefault;
    /**
     * VALUE_REGEX - 属值正则
     */
    @ExcelProperty("属值正则")
    @ExcelNote("")
    private String valueRegex;
    /**
     * RULE_NOTE - 规则描述
     */
    @ExcelProperty("规则描述")
    @ExcelNote("")
    private String ruleNote;

    public String getRuleFor() {
        return this.ruleFor;
    }

    public void setRuleFor(String ruleFor) {
        this.ruleFor = ruleFor;
    }

    public String getRuleTitle() {
        return this.ruleTitle;
    }

    public void setRuleTitle(String ruleTitle) {
        this.ruleTitle = ruleTitle;
    }

    public String getRuleName() {
        return this.ruleName;
    }

    public void setRuleName(String ruleName) {
        this.ruleName = ruleName;
    }

    public String getRuleValue() {
        return this.ruleValue;
    }

    public void setRuleValue(String ruleValue) {
        this.ruleValue = ruleValue;
    }

    public String getValueDefault() {
        return this.valueDefault;
    }

    public void setValueDefault(String valueDefault) {
        this.valueDefault = valueDefault;
    }

    public String getValueRegex() {
        return this.valueRegex;
    }

    public void setValueRegex(String valueRegex) {
        this.valueRegex = valueRegex;
    }

    public String getRuleNote() {
        return this.ruleNote;
    }

    public void setRuleNote(String ruleNote) {
        this.ruleNote = ruleNote;
    }
}